#ifndef _COMM_H_
#define _COMM_H_

#include "io.h"
#include "interrupt.h"
#include "sig-avr.h"
#include "string.h"
#include "math.h"
#include "rm_defs.h"
#include "motor.h"
#include "opto_odo.h"
#include "ir.h"
#include "compass.h"
#include <inttypes.h>
#define RM_RX_TIMEOUT 1000
#define rxtx_complete() (inp(USR) & (1<<RXC))
/*external definitions */
//extern uint8_t azimuth;
//extern uint8_t move_flag;
//extern uint8_t compass_flag;
//extern uint8_t compass_lock;

extern uint8_t msg[ROBO_MSG_SIZE];
inline void send(uint8_t smsg);
//inline void send(uint8_t *smsg, uint8_t len);
inline void update_state(void);
inline void update_here(void);
inline void update_rhere(void);
inline void init_serial(void);
inline void update_azimuth_buf(void);
inline void send(uint8_t);
#endif
