
#ifndef _MOTOR_H_
#define _MOTOR_H_

#define FORWARD  1
#define BACKWARD -1

#include "io.h"
#include "interrupt.h"
#include "sig-avr.h"
#include "calibration.h"
#include <inttypes.h>
#define MAX_VEL 17 // define its as 16
#define MAX_INTERVAL 6
extern uint8_t pwm_level[MAX_VEL];//it was u8
//all very int8
//extern int8_t des_left_count; new code
//extern int8_t des_right_count;new code
//extern uint8_t  left_vel;//u8
//extern uint8_t  right_vel;//u8
////extern uint8_t  des_count;
//extern int8_t   des_bias;//int16
extern uint32_t distance;
extern uint32_t des_distance;

//extern void control_loop(void); // ? doesn't exist
#define FORWARD  1
#define BACKWARD -1
//change
//uint8_t limit_range(int16_t n);

inline void set_dir();
inline void init_pwm(void);
inline void update_vel(void);
inline void set_bias(int8_t b);//uint
inline void set_vel(uint8_t v);
inline void move(uint8_t d);
inline void stop(void);


#endif
