
#ifndef _COMPASS_H_
#define _COMPASS_H_

//#include "defs.h"
#include "calibration.h"
#include "math.h"
#include "io.h"
#include "interrupt.h"
#include "sig-avr.h"
#include <inttypes.h>
uint8_t azimuth;
uint8_t des_azimuth;
inline void charge_compass(void);
inline void enable_compass(void);
void calc_azimuth(int16_t,int16_t);
int16_t calc_heading(int16_t ,int16_t);
int16_t lookup_angle(float,int);
void init_compass(void);
void set_heading(uint8_t h);
void read_compass(void);
#define get_heading() (azimuth)
#define integrate_compass read_compass


#endif
