

#ifndef _IR_H_
#define _IR_H_

#include "io.h"
#include "interrupt.h"
#include "sig-avr.h"

extern uint16_t ir_threshold;

#define get_ir_thresh() ((uint8_t)(ir_threshold/100))

inline void init_ir(void);
inline void set_ir_thresh(uint8_t t);
inline uint8_t get_ir(void);
#define object_detect get_ir
inline void integrate_ir(void);

#endif
