#ifndef _ROBOMOTE_H_
#define _ROBOMOTE_H_

#include <inttypes.h>

#define RM_STATE_MODIFIER_MASK 0x0F
#define RM_VEL_CHANGE 0x01

#define RM_STATE_MASK 0xF0
#define RM_RESET_WAIT 0xF0
#define RM_READY      0x00
#define RM_MOVING     0x10
#define RM_MOVING_TO  0x20
/* external definitions */
extern uint8_t rm_state;
//extern uint8_t azimuth;
//extern int8_t req_counter,req_flag;
//extern uint8_t ticks,timeout,rx_pending,comm_flag;
//extern uint16_t COMMAND_COMPLETED_TICKS,COMMAND_COMPLETED_ACK_PENDING,COMMAND_COMPLETED_TIME_OUT,RESET;
//extern uint8_t done_flag,SEND_COUNTER;
inline void reset(void);
void init_feed();

#endif
