/* 
   for odometry form the opto encoders.
*/
//#include "crcrf_defs.h"
#include "rm_defs.h"
#include "robomote.h"
#include "comm.h"
#include "opto_odo.h"
#include "math.h"



struct odometry_t odometry;

uint32_t feedback_counter1=0;
uint32_t feedback_counter2=0;
uint8_t flsb0=0,fmsb0=0,flsb2=0,fmsb2=0;
uint8_t c1,c2;




void init_feedback()
{
 cli();
 sbi(TIMSK,TOIE0);
 outp(0,TCNT0);
 //outp(0x05,TCCR0);
 //external
 outp(0x07,TCCR0); 
 outp((1<<AS2),ASSR);
 sbi(TIMSK,TOIE2);
 outp(0,TCNT2);
 outp(0x01,TCCR2);
 sei();
}

SIGNAL(SIG_OVERFLOW0)
{
    fmsb0++;
    outp(0x00,TCNT0); //just to check the error
}

SIGNAL(SIG_OVERFLOW2)
{
    fmsb2++;
    outp(0x00,TCNT2);
}
/*
inline uint8_t get_left_tics(void)
{
  uint8_t tmp = feedback_counter2 ;
  uint32_t tmp_count = inp(TCNT2);
 // tmp = tmp + tmp_count;

  feedback_counter2=0;
  return (tmp);
   
 // return (tmp);
}


inline uint8_t get_right_tics(void)
{
  uint8_t tmp = (feedback_counter1 );
  uint32_t tmp_count = inp(TCNT0);
 // tmp =  tmp +  tmp_count;

 feedback_counter1=0;
 return (tmp);
}
*/
inline void init_opto_odos(void)
{
  sbi(OPTO_EN_DDR, OPTO_EN_BIT); 
  //sbi(OPTO_EN_PORT, OPTO_EN_BIT);
  cbi(OPTO_EN_PORT, OPTO_EN_BIT);       //Note it should be removed....mhr



  // just set to input, since we're polling 
  cbi(LEFT_OPTO_DDR, LEFT_OPTO_BIT); 
  cbi(RIGHT_OPTO_DDR, RIGHT_OPTO_BIT);
}
/*
inline void moveto(int32_t x, int32_t y){
    odometry.des_x = x;
    odometry.des_y = y;
    rm_state = RM_MOVING_TO | (rm_state & RM_STATE_MODIFIER_MASK);
}

inline void rmoveto(int32_t x, int32_t y){
    moveto(x, y);
    odometry.des_x += odometry.x;
    odometry.des_y += odometry.y;
}
*/





